# pySELFI #

[![arXiv](https://img.shields.io/badge/astro--ph.CO-arxiv%3A1902.10149-B31B1B.svg?style=flat)](https://arxiv.org/abs/1902.10149)
[![arXiv](https://img.shields.io/badge/astro--ph.CO-arxiv%3A2209.11057-B31B1B.svg?style=flat)](https://arxiv.org/abs/2209.11057)
[![GitHub version](https://img.shields.io/github/tag/florent-leclercq/pyselfi.svg?label=version)](https://github.com/florent-leclercq/pyselfi)
[![GitHub commits](https://img.shields.io/github/commits-since/florent-leclercq/pyselfi/v2.0.svg)](https://github.com/florent-leclercq/pyselfi/commits)
[![DOI](https://zenodo.org/badge/197575311.svg)](https://zenodo.org/badge/latestdoi/197575311)
[![GPLv3 license](https://img.shields.io/badge/License-GPLv3-blue.svg)](https://github.com/florent-leclercq/pyselfi/blob/master/LICENSE)
[![PyPI version](https://badge.fury.io/py/pyselfi.svg)](https://badge.fury.io/py/pyselfi)
[![Docs](https://readthedocs.org/projects/pyselfi/badge/)](http://pyselfi.readthedocs.io/en/latest/)
[![Website florent-leclercq.eu](https://img.shields.io/website-up-down-green-red/http/pyselfi.florent-leclercq.eu.svg)](http://pyselfi.florent-leclercq.eu/)

Simulator Expansion for Likelihood-Free Inference (SELFI): a python implementation.

## Documentation ##

The code's homepage is [https://pyselfi.florent-leclercq.eu](https://pyselfi.florent-leclercq.eu). The documentation is available on readthedocs at [https://pyselfi.readthedocs.io/](https://pyselfi.readthedocs.io/). Limited user-support may be asked from the main author, Florent Leclercq.

## Contributors ##

* Florent Leclercq, florent.leclercq@iap.fr

## Reference ##

To acknowledge the use of pySELFI in research papers, please cite its [doi:10.5281/zenodo.3341588](https://doi.org/10.5281/zenodo.3341588) (or for the latest version, see the badge above), as well as the papers [Leclercq <i>et al.</i> (2019)](https://arxiv.org/abs/1902.10149) and [Leclercq (2022)](https://arxiv.org/abs/2209.11057):

* *Primordial power spectrum and cosmology from black-box galaxy surveys*<br/>
F. Leclercq, W. Enzi, J. Jasche, A. Heavens<br/>
<a href="http://dx.doi.org/10.1093/mnras/stz2718" target="blank">MNRAS <b>490</b>, 4237 (2019)</a>, <a href="http://arxiv.org/abs/1902.10149" target="blank">arXiv:1902.10149</a> [<a href="http://arxiv.org/abs/1902.10149" target="blank">astro-ph.CO</a>] [<a href="https://ui.adsabs.harvard.edu/?#abs/2019MNRAS.490.4237L" target="blank">ADS</a>] [<a href="http://arxiv.org/pdf/1902.10149" class="document" target="blank">pdf</a>]
* *Simulation-based inference of Bayesian hierarchical models while checking for model misspecification*<br/>
F. Leclercq<br/>
Proceedings of the <a href="https://maxent22.see.asso.fr/" target="blank">41st International Conference on Bayesian and Maximum Entropy methods in Science and Engineering (MaxEnt2022)</a>, 18-22 July 2022, Paris, France<br />
<a href="https://doi.org/10.3390/psf2022005004" target="blank">	Physical Sciences Forum <b>5</b>, 4 (2022)</a>, <a href="https://arxiv.org/abs/2209.11057" target="blank">arXiv:2209.11057</a> [<a href="https://arxiv.org/abs/2209.11057" target="blank">astro-ph.CO</a>] [<a href="https://ui.adsabs.harvard.edu/?#abs/2022arXiv220911057L" target="blank">ADS</a>] [<a href="https://arxiv.org/pdf/2209.11057" class="document" target="blank">pdf</a>]


        @ARTICLE{pySELFI1,
            author = {{Leclercq}, Florent and {Enzi}, Wolfgang and {Jasche}, Jens and {Heavens}, Alan},
            title = "{Primordial power spectrum and cosmology from black-box galaxy surveys}",
            journal = {\mnras},
            keywords = {methods: statistical, cosmological parameters, large-scale structure of Universe, Astrophysics - Cosmology and Nongalactic Astrophysics, Astrophysics - Instrumentation and Methods for Astrophysics},
            year = "2019",
            month = "Dec",
            volume = {490},
            number = {3},
            pages = {4237-4253},
            doi = {10.1093/mnras/stz2718},
            archivePrefix = {arXiv},
            eprint = {1902.10149},
            primaryClass = {astro-ph.CO},
            adsurl = {https://ui.adsabs.harvard.edu/abs/2019MNRAS.490.4237L},
            }

        @ARTICLE{pySELFI2,
            author = {{Leclercq}, Florent},
            title = "{Simulation-based inference of Bayesian hierarchical models while checking for model misspecification}",
            journal = {Physical Sciences Forum},
            keywords = {Statistics - Methodology, Astrophysics - Instrumentation and Methods for Astrophysics, Mathematics - Statistics Theory, Quantitative Biology - Populations and Evolution, Statistics - Machine Learning},
            year = "2022",
            month = "Sep",
            volume = {5},
            pages = {4},
            doi = {10.3390/psf2022005004},
            archivePrefix = {arXiv},
            eprint = {2209.11057},
            primaryClass = {stat.ME},
            adsurl = {https://ui.adsabs.harvard.edu/abs/2022arXiv220911057L},
            }

## License ##

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. By downloading and using pySELFI, you agree to the [LICENSE](https://github.com/florent-leclercq/pyselfi/blob/master/LICENSE), distributed with the source code in a text file of the same name.
